<template>
    <div class="tree">
        <div class="tree__list">
            <div role="treeitem" tabindex="-1" aria-disabled="" draggable="false" class="el-tree-node is-focusable">
                <div class="el-tree-node__content" style="padding-left: 0px; margin-top: 2rem"><span
                        class="el-tree-node__expand-icon el-icon-folder-opened"></span><!----><!----><span
                        class="el-tree-node__label" @click="folderChildren = tree">home</span></div><!----></div>
            <el-tree
                    :data="tree"
                    :props="defaultProps"
                    @node-click="view"
                    icon-class="el-icon-folder-opened">
            </el-tree>
        </div>

        <div class="tree__table">
            <table class="table">
                <thead>
                <tr>
                    <th>Name</th>
                    <th>Type</th>
                </tr>
                </thead>
                <tbody>
                <tr v-for="file in folderChildren" @click="file.type ? view(file) : ''"
                    :class="file.type ? 'tree__table--cursore' : ''">
                    <td>
                        <div class="tree__table__name" v-if="!file.type">
                            <label class="checkbox">
                                <input type="checkbox" :value="file" v-model="movies">
                                <span class="checkmark-small"></span>
                            </label>
                            <span>{{ getFileName(file.label) }}</span>
                        </div>

                        <div class="tree__table__name" v-else>
                            <i class="el-icon-folder"></i>
                            <span>{{ file.label.toUpperCase() }}</span>
                        </div>
                    </td>
                    <td class="tree__table--uppercase">
                        {{ file.type ? 'FOLDER' : file.label.split('.').pop(-1) }}
                    </td>
                </tr>
                </tbody>
            </table>
        </div>

        <tree-pop-up :movies="movies" :teams="teams" />
    </div>
</template>

<script>
    import TreePopUp from './TreePopUp'

    export default {
        name: 'Tree',
        components: {TreePopUp},
        props: {
            tree: {
                require: true
            },
            teams: {
                require: true
            }
        },
        data() {
            return {
                defaultProps: {
                    children: 'children',
                    label: 'label'
                },
                folderChildren: this.tree,
                movies: []
            }
        },
        methods: {
            view(data) {
                if (data.children) this.folderChildren = data.children

            },
            getFileName(fileName) {
                // Split FIle Name
                const splitName = fileName.split('.')
                // Check If Successfully Split & If Split Lenth Equal 3
                if (splitName && splitName.length === 3) {
                    // Return File Name
                    return splitName[0].toUpperCase() + '.' + splitName[1].toUpperCase() + '.' + splitName[2]
                }
                // Return Defaut Name
                return fileName;
            }
        }
    }
</script>